Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface PolynomialSpline

All Superinterfaces:
  CurveSegment, GenericCurve, SplineCurve

All Known Subinterfaces:
  CubicSpline

    @UML(identifier="GM_PolynomialSpline",
         specification=ISO_19107)
    public interface PolynomialSpline

extends SplineCurve

A polynimal spline. An "nth degree" polynomial spline shall be defined piecewise as an n-degree polynomial, with up to Cn-1 continuity at the control points where the defining polynomial changes. This level of continuity is controlled by the attribute `numDerivativesInterior`. Parameters shall include directions for as many as degree - 2 derivatives of the polynomial at the start and end point of the segment. `LineString` is equivalent to a 1st degree polynomial spline. It has simple continuity at the control points (C0), but does not require derivative information (degree - 2 = -1).

NOTE: The major difference between the polynomial splines and the b-splines (basis splines) is that polynomial splines pass through their control points, making the control point and sample point array identical.

Since:
  GeoAPI 2.0
Version:
  ISO 19107

Method Summary
`CurveInterpolation` | `getInterpolation()` The interpolation mechanism for a `PolynomialSpline` is `POLYNOMIAL_SPLINE`.
`List` | `getVectorAtEnd()` The values used for the final derivative (up to degree - 2) used for interpolation in this `PolynomialSpline` at the end point of the spline.
`List` | `getVectorAtStart()` The values used for the initial derivative (up to degree - 2) used for interpolation in this `PolynomialSpline` at the start point of the spline.

Methods inherited from interface SplineCurve
`getControlPoints, getDegree, getKnots`

Methods inherited from interface CurveSegment
`getBoundary, getCurve, getNumDerivativesAtEnd, getNumDerivativesAtStart, getNumDerivativesInterior, getSamplePoints, reverse`

Methods inherited from interface GenericCurve
`asLineString, forConstructiveParam, forParam, getEndConstructiveParam, getEndParam, getEndPoint, getParamForPoint, getStartConstructiveParam, getStartParam, getStartPoint, getTangent, length, length`

Method Detail

### getInterpolation

    @UML(identifier="interpolation",
         obligation=MANDATORY,
         specification=ISO_19107)
    CurveInterpolation getInterpolation()

  The interpolation mechanism for a `PolynomialSpline` is `POLYNOMIAL_SPLINE`.

  Specified by:
    `getInterpolation` in interface `CurveSegment`
  Returns:
    The interpolation mechanism used for this segment.

### getVectorAtStart

    @UML(identifier="vectorAtStart",
         obligation=MANDATORY,
         specification=ISO_19107)
    List getVectorAtStart()

  The values used for the initial derivative (up to degree - 2) used for interpolation in this `PolynomialSpline` at the start point of the spline. The size of the returned list is `(degree - 2)`.

### getVectorAtEnd

    @UML(identifier="vectorAtEnd",
         obligation=MANDATORY,
         specification=ISO_19107)
    List getVectorAtEnd()

  The values used for the final derivative (up to degree - 2) used for interpolation in this `PolynomialSpline` at the end point of the spline. The size of the returned list is `(degree - 2)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.